# Type Alias AddGranularAclsData

AddGranularAclsData: {
kind:
| "script"
| "group_"
| "resource"
| "schedule"
| "variable"
| "flow"
| "folder"
| "app"
| "raw_app";
path: string;
requestBody: {
owner: string;
write?: boolean;
};
workspace: string;
}

#### Type declaration

- ##### kind:
  | "script"
  | "group_"
  | "resource"
  | "schedule"
  | "variable"
  | "flow"
  | "folder"
  | "app"
  | "raw_app"

- ##### path: string

- ##### requestBody: {
  owner: string;
  write?: boolean;
  }

  acl to add

  - ##### owner: string

  - ##### `Optional` write?: boolean

- ##### workspace: string

- Defined in src/types.gen.ts:4771